Bug 927956 - Text mode allows to install system without entering any password
Text mode allows to install system without entering any password
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-26 10:50 EDT by Jan Stodola
Modified: 2013-05-15 13:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-19.25-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 13:31:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (9.20 KB, text/plain)
2013-03-26 10:51 EDT, Jan Stodola
no flags Details
anaconda.packaging.log (95.58 KB, text/plain)
2013-03-26 10:51 EDT, Jan Stodola
no flags Details
anaconda.program.log (35.64 KB, text/plain)
2013-03-26 10:52 EDT, Jan Stodola
no flags Details
anaconda.storage.log (134.74 KB, text/plain)
2013-03-26 10:52 EDT, Jan Stodola
no flags Details
syslog (86.81 KB, text/plain)
2013-03-26 10:52 EDT, Jan Stodola
no flags Details
/etc/passwd (1.19 KB, text/plain)
2013-03-26 10:56 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-03-26 10:50:55 EDT
Description of problem:
When running text-mode installation, it is possible to proceed through the installation without entering password for any user. See steps to reproduce.

Version-Release number of selected component (if applicable):
F19-Alpha-TC2
anaconda-19.13

How reproducible:
always

Steps to Reproduce:
1. start installation in text mode
2. configure time zone and partitioning
Enter following numbers to create new user:
4 - Create user
1 - Create user
3 - Username
enter some username (entered "pepa")
4 - Use password
6 - Administrator
c - continue
c - continue, start the installation
  
Actual results:
installation starts, no password is required

Expected results:
anaconda should require password either for root or created (administrator) user

Additional info:
Comment 1 Jan Stodola 2013-03-26 10:51:52 EDT
Created attachment 716546 [details]
anaconda.log
Comment 2 Jan Stodola 2013-03-26 10:51:56 EDT
Created attachment 716547 [details]
anaconda.packaging.log
Comment 3 Jan Stodola 2013-03-26 10:52:00 EDT
Created attachment 716548 [details]
anaconda.program.log
Comment 4 Jan Stodola 2013-03-26 10:52:04 EDT
Created attachment 716549 [details]
anaconda.storage.log
Comment 5 Jan Stodola 2013-03-26 10:52:08 EDT
Created attachment 716550 [details]
syslog
Comment 6 Jan Stodola 2013-03-26 10:56:44 EDT
Created attachment 716554 [details]
/etc/passwd
Comment 7 Samantha N. Bueno 2013-05-06 12:11:00 EDT
Patch posted to anaconda-patches for review.
Comment 8 Samantha N. Bueno 2013-05-06 14:50:18 EDT
Patch pushed: commit 628b9428521396a5ce9ad96d9e485bbe52d84a71
Comment 9 Fedora Update System 2013-05-09 20:52:07 EDT
anaconda-19.25-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.25-1.fc19
Comment 10 Fedora Update System 2013-05-10 11:30:18 EDT
Package anaconda-19.25-1.fc19, python-blivet-0.13-1.fc19, pykickstart-1.99.30-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.25-1.fc19 python-blivet-0.13-1.fc19 pykickstart-1.99.30-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7834/python-blivet-0.13-1.fc19,pykickstart-1.99.30-1.fc19,anaconda-19.25-1.fc19
then log in and leave karma (feedback).
Comment 11 Jan Stodola 2013-05-14 05:25:54 EDT
No longer able to reproduce with anaconda-19.25. Anaconda doesn't allow to finish the installation until root or administrator user password is entered.

Moving to VERIFIED.
Comment 12 Fedora Update System 2013-05-15 13:31:59 EDT
anaconda-19.25-1.fc19, python-blivet-0.13-1.fc19, pykickstart-1.99.30-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.